@echo off
echo Aggregate CSV file and generate pivot table EXCEL report
..\pivotdata.exe -i csv "testdata\TechCrunchcontinentalUSA.csv" "{Delimiter:','}" -m "{'fundedDate':{Type:'datetime'},'raisedAmt':{Type:'double'}}" -m "{'funded_year':{Type:'getyear',Params:['fundedDate']},'funded_quarter':{Type:'getquarter',Params:['fundedDate']}}" -p "{Dimensions:['funded_year','funded_quarter','round','company'],Aggregators:[{Name:'Sum',Params:['raisedAmt']},{Name:'Average',Params:['raisedAmt']}]}" -t "{Rows:['round'],AggregatorIndex:1}" -o pivottableexcel _ReportExcel.xlsx "{WorkSheetName:'Avg by Round'}" 
start _ReportExcel.xlsx